public with sharing class TestConventionMapping
{
    public TestConventionMapping(){}

    public static void contactAddressLabelField()
    {
        ESignLiveSDK sdk = new ESignLiveSDK();
         
        //Create package
        ESignLiveAPIObjects.Package_x pkg = new ESignLiveAPIObjects.Package_x();
        pkg.name = 'Test Document Extraction - ' + Datetime.now().format();
        pkg.status = ESignLiveAPIObjects.PackageStatus.DRAFT;
        
        //Create Roles
        
        Contact contact = [SELECT Id,FirstName,LastName,Email,Title,account.Name,MailingStreet from Contact where Id = '003f400000fj3NX'];
        
        String roleId1 = 'Signer1';
        ESignLiveAPIObjects.Role role1 = new ESignLiveAPIObjects.Role();
        role1.signers = sdk.createRolesSigner(contact.FirstName ,contact.LastName , contact.Email , contact.Title, contact.Account.Name);
        role1.id = roleId1;
        role1.name = roleId1;
        
       
        pkg.roles = new List<ESignLiveAPIObjects.Role>{role1};    //add role

        
        //Prepare Documents Blob
        String document1Name = 'Sample_Document_Extraction';
        StaticResource sr = [SELECT Id, Body FROM StaticResource WHERE Name = 'testdoc2' LIMIT 1];
        Map<String,Blob> documentBlobMap = new Map<String,Blob>();
        documentBlobMap.put(document1Name, sr.Body);
         
        //Create Document Metadata
        ESignLiveAPIObjects.Document document1 = new ESignLiveAPIObjects.Document();
        document1.name = document1Name;
        document1.id = document1Name;
  
        //Signature Field
        ESignLiveAPIObjects.Field field_fullname = new ESignLiveAPIObjects.Field();
        field_fullname.id = 'field_fullname';       
        field_fullname.type = 'SIGNATURE';
        field_fullname.subtype = 'FULLNAME';
        field_fullname.page = 0;
        field_fullname.top = 100.0;
        field_fullname.left = 250.0;
        field_fullname.width = 150.0;
        field_fullname.height = 50.0;
        
        //Text Label Field
        ESignLiveAPIObjects.Field field_label_street = new ESignLiveAPIObjects.Field();
        field_label_street.id = 'field_label_street';       
        field_label_street.type = 'INPUT';
        field_label_street.subtype = 'LABEL';
        field_label_street.page = 0;
        field_label_street.top = 200.0;
        field_label_street.left = 250.0;
        field_label_street.width = 150.0;
        field_label_street.height = 50.0;
        field_label_street.value= contact.MailingStreet ;
        
        
        ESignLiveAPIObjects.Approval approval_fullname = new ESignLiveAPIObjects.Approval();
        approval_fullname.fields = new List<ESignLiveAPIObjects.Field>{field_fullname,field_label_street};
        approval_fullname.id = 'approval_fullname';
        approval_fullname.role = roleId1 ;
        
        
   
        
        document1.approvals = new List<ESignLiveAPIObjects.Approval>{approval_fullname};
        pkg.documents = new List<ESignLiveAPIObjects.Document>{document1};    //add document
        
        //Send package One Step
        String packageId = sdk.createPackage(pkg,documentBlobMap);
        System.debug('PackageId: ' + packageId);  
    }

  


}